xmlgraphics-fop-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jeremias Maerki <...@jeremias-maerki.ch>
Subject Re: Fop missing Ant?
Date Sat, 04 Feb 2006 08:35:29 GMT
Something doesn't feel right here. FOP 0.20.5 DOES bundle Ant 1.5.1
(found in the lib directory). Only since FOP 0.90 alpha 1 do we require
that Apache Ant is preinstalled. Anyway it's a good idea to install the
latest Apache Ant and to use "ant" on the command-line instead of "build".

On 04.02.2006 02:10:15 Paul Vinkenoog wrote:
> Hi Sir Strongbad,
> 
> > I just downloaded FOP 0.20.5 and I am trying to run the servlet
> > example and I am getting an "NoClassDefFoundError" error.  When the
> > build.bat runs, it references a JAR called "Ant-1.5.1.jar" under the
> > lib directory.  When I go to that directory, there is no
> > "Ant-1.5.1.jar" file present.  I have read in several places that
> > the "Ant-1.5.1.jar" should be packaged with FOP.  What's the deal?
> > I know I am overlooking something.
> 
> No, you're not. FOP 0.20.5 does not come with Ant. You have to get
> that separately at http://ant.apache.org. You may also have to
> download some of the other tools.
> 
> BTW, the build.bat references really old lib versions. You need to
> change the filenames to match what you download (the names don't
> usually include version numbers).


Jeremias Maerki


---------------------------------------------------------------------
To unsubscribe, e-mail: fop-users-unsubscribe@xmlgraphics.apache.org
For additional commands, e-mail: fop-users-help@xmlgraphics.apache.org


Mime
View raw message